using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PXP.Crawler.API.Model;

namespace PXP.Crawler.API.Plugins
{
    [NodeInfo("List Test", typeof (ListTestNode))]
    public class ListTestNode : Node

    {
        public ListTestNode(Program program) : base(program)
        {

        }

       [NodePropertyPin]
        public List<int> IntTest
        {
            get
            {
                List<int> intList = new List<int>();
                intList.AddRange(new int[]{ 3, 5, 6, 3, 1 });
                return intList;
            }
        }

        [NodePropertyPin]
        public IList<string> StrList
        {
            get
            {
                return (new string[]
                {
                    "tes dgd gmfd",
                    "jkngfjknjk",
                    "sdfdhdhs"
                }).ToList();
            }
        }

        [NodePropertyPin]public IList<NodeCategoryInfo> ObjList
        {
            get
            {
                List<NodeCategoryInfo> l = new List<NodeCategoryInfo>();
                return l;
            }
        }
    }
}
